Bug 108147 - [CI][SHARDS] igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm)
Summary: [CI][SHARDS] igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test...
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Uma Shankar
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-03 08:53 UTC by Martin Peres
Modified: 2019-04-23 11:53 UTC (History)
2 users (show)

See Also:
i915 platform: GLK
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-10-03 08:53:21 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4915/shard-apl8/igt@kms_color@pipe-b-ctm-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4914/shard-apl8/igt@kms_color@pipe-b-ctm-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4661/shard-apl7/igt@kms_color@pipe-a-ctm-max.html

Starting subtest: pipe-B-ctm-max
(kms_color:8241) CRITICAL: Test assertion failure function run_tests_for_pipe, file ../tests/kms_color.c:1000:
(kms_color:8241) CRITICAL: Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm)
Subtest pipe-B-ctm-max failed.
Comment 1 Martin Peres 2018-10-03 08:54:47 UTC
This likely got introduced in b20815255693 drm/i915: Add plane alpha blending support, v2.

Cc:ing mlankhorst.
Comment 2 Martin Peres 2018-10-03 12:44:39 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4917/shard-apl5/igt@kms_color@pipe-c-ctm-max.html

Starting subtest: pipe-C-ctm-max
(kms_color:3696) CRITICAL: Test assertion failure function run_tests_for_pipe, file ../tests/kms_color.c:1000:
(kms_color:3696) CRITICAL: Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm)
Subtest pipe-C-ctm-max failed.
Comment 3 Martin Peres 2018-10-11 11:05:39 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4963/shard-skl5/igt@kms_color@pipe-a-ctm-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4962/shard-skl9/igt@kms_color@pipe-a-ctm-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4960/shard-skl1/igt@kms_color@pipe-a-ctm-max.html

Starting subtest: pipe-A-ctm-max
(kms_color:1204) CRITICAL: Test assertion failure function run_tests_for_pipe, file ../tests/kms_color.c:1000:
(kms_color:1204) CRITICAL: Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm)
Subtest pipe-A-ctm-max failed.
Comment 4 Martin Peres 2018-10-25 11:24:49 UTC
Also seen on KBL suddenly: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5028/shard-kbl6/igt@kms_color@pipe-a-ctm-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5027/shard-kbl4/igt@kms_color@pipe-a-ctm-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4689/shard-kbl2/igt@kms_color@pipe-a-ctm-max.html

Starting subtest: pipe-A-ctm-max
(kms_color:1166) CRITICAL: Test assertion failure function run_tests_for_pipe, file ../tests/kms_color.c:1000:
(kms_color:1166) CRITICAL: Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm)
Subtest pipe-A-ctm-max failed.
Comment 5 Lakshmi 2018-12-07 16:36:30 UTC
Also seen on WHL: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_150/fi-whl-u/igt@kms_color@pipe-a-ctm-max.html

Starting subtest: pipe-A-ctm-max
(kms_color:1623) CRITICAL: Test assertion failure function run_tests_for_pipe, file ../tests/kms_color.c:1000:
(kms_color:1623) CRITICAL: Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm)
Subtest pipe-A-ctm-max failed.
Comment 7 CI Bug Log 2019-02-13 21:48:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT APL SKL KBL CFL WHL: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) -}
{+ BXT APL SKL KBL GLK CFL WHL: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5598/shard-glk2/igt@kms_color@pipe-c-ctm-max.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5598/shard-glk8/igt@kms_color@pipe-b-ctm-max.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4824/shard-glk1/igt@kms_color@pipe-b-ctm-max.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4824/shard-glk4/igt@kms_color@pipe-c-ctm-max.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4824/shard-glk5/igt@kms_color@pipe-a-ctm-max.html
Comment 8 CI Bug Log 2019-02-13 22:07:25 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT APL SKL KBL GLK CFL WHL: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) -}
{+ BXT APL SKL KBL GLK CFL WHL: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5598/shard-iclb7/igt@kms_color@pipe-a-ctm-max.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4824/shard-iclb6/igt@kms_color@pipe-a-ctm-max.html
Comment 9 CI Bug Log 2019-02-13 22:07:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT APL SKL KBL GLK CFL WHL: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) -}
{+ BXT APL SKL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) +}

 No new failures caught with the new filter
Comment 10 Jani Saarinen 2019-02-14 06:25:51 UTC
Assigned to Uma to explain / investigate
Comment 11 Martin Peres 2019-04-04 06:50:44 UTC
A patch series fixing this issue has been posted by Uma: https://patchwork.freedesktop.org/series/58412/
Comment 12 Lakshmi 2019-04-04 06:51:45 UTC
Comments from Uma:
I have been working on it. Today, I was able to root cause this issue and have a fix for this. This needs a fix in IGT tests, uploaded the patch for the same to igt-dev mailing list.
Comment 13 Uma Shankar 2019-04-04 07:18:50 UTC
This required 2 fixes, one in kernel and one IGT:

Kernel: https://patchwork.freedesktop.org/series/58734/
Fixed GC MAX register programming for gamma luts

This changes is reviewed and merged to drm-tip

IGT: https://patchwork.freedesktop.org/series/58412/
tests/kms_color: Fix CRC mismatch issues with ctm test

This also is reviewed and acked-by Daniel. Yet to be merged to IGT tree's.
Comment 14 Martin Peres 2019-04-10 13:47:56 UTC
The IGT patch is merged:

commit 64d0ff7247497ae6d726e4535fe74d4bb6ae914a (HEAD -> master, origin/master, origin/HEAD)
Author: Uma Shankar <uma.shankar@intel.com>
Date:   Wed Apr 3 17:50:10 2019 +0530

    tests/kms_color: Fix CRC mismatch issues with ctm test
    
    Due to Gamma/Degamma limitation wrt representation of intermediate
    values between 0 and 1.0 causing rounding issues and inaccuracies,
    applying linear gamma affects crc. This patch fixes the same by
    making ctm max test independent of gamma/degamma.
    
    v2: Disable degamma/gamma programming for ctm max test as it
    leads to crc mimsmatch. Limiting it to this test case alone as
    other tests need it to be enabled, hence not touching those
    scenarios.
    
    v3: Fixed a fumble with compilation.
    
    v4: Disabling degamma and gamma for ctm max tests, after the logic
    in kernel has been updated by Ville's series.
    
    v5: Disabled gamma/degamma for all ctm tests as suggested by Ville.
    
    v6: Restricting disabling of linear gamma luts for ctm max test.
    Updated the commit message and comment as suggested by Daniel.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108147
    Signed-off-by: Uma Shankar <uma.shankar@intel.com>
    Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>

Uma, please do the same when the kernel patch lands and then you can close the bug. I'll close it in cibuglog when I can verify this is indeed fixed.
Comment 15 Uma Shankar 2019-04-10 14:51:19 UTC
Thanks Martin for merging this patch to IGT tree. The kernel change has already been merged to drm-tip so we should not see this issue now on CI.

Regards,
Uma Shankar
Comment 16 Arek Hiler 2019-04-23 11:48:58 UTC
Hey, thanks for the fix Uma. Seems like it helped. Originally the issue was seen on APL, GLK, SKL, ICL every shard run. Currently the issue was not seen in quite a while on anything but glk-dsi on drmtip runs.

Here are some sample logs from failures that a re still ongoing:
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-glk-dsi/igt@kms_color@pipe-c-ctm-max.html
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-glk-dsi/igt@kms_color@pipe-c-ctm-max.html
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-glk-dsi/igt@kms_color@pipe-c-ctm-max.html

Changing affected platform to GLK.
Comment 17 CI Bug Log 2019-04-23 11:53:47 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT APL SKL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) -}
{+ GLK: igt@kms_color@pipe-[abc]-ctm-max - fail - Failed assertion: test_pipe_ctm(data, primary, red_green_blue, full_rgb, ctm) +}

 No new failures caught with the new filter


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.